import { PostHeaderProps } from "./Header";
import React from "react";
import { SecretIdentityType } from "../types";
declare const CommentChainEditor: React.ForwardRefExoticComponent<CommentChainEditorProps & React.RefAttributes<{
    focus: () => void;
}>>;
export interface CommentChainEditorProps {
    onCancel: (empty: boolean) => void;
    onSubmit: (submission: {
        texts: Promise<string[]>;
        identityId?: string;
        accessoryId?: string;
    }) => void;
    secretIdentity?: SecretIdentityType;
    loading?: boolean;
    userIdentity?: {
        avatar: string;
        name: string;
    };
    additionalIdentities?: SecretIdentityType[];
    accessories?: PostHeaderProps["accessories"];
}
export default CommentChainEditor;
