import { PostHeaderProps } from "./Header";
import React from "react";
import { SecretIdentityType } from "../types";
export declare const modes: {
    VIEW: string;
    CREATE: string;
};
declare const Comment: React.ForwardRefExoticComponent<CommentProps & React.RefAttributes<EditorRef>>;
export interface EditorRef {
    editorRef: React.RefObject<HTMLDivElement>;
    focus: () => void;
}
export interface CommentProps {
    secretIdentity?: SecretIdentityType;
    userIdentity?: {
        avatar: string;
        name: string;
    };
    additionalIdentities?: SecretIdentityType[];
    onSelectIdentity?: (identity: SecretIdentityType | undefined) => void;
    accessories?: PostHeaderProps["accessories"];
    accessory?: PostHeaderProps["accessory"];
    onSelectAccessory?: PostHeaderProps["onSelectAccessory"];
    initialText?: string;
    onCancel: () => void;
    onSubmit: (commentPromise: Promise<{
        text: string;
    }>) => void;
    prepareSubmission?: boolean;
    onTextChange?: (text: string) => void;
    onCanSubmitChange?: (canSubmit: boolean) => void;
    onIsEmptyChange?: (empty: boolean) => void;
    loading?: boolean;
    withActions?: boolean;
    canSubmit?: boolean;
    muted?: boolean;
}
export default Comment;
