import { AccessoryType, LinkWithAction, SecretIdentityType, UserIdentityType } from "../types";
import { DropdownProps } from "../common/DropdownListMenu";
import { IconProps } from "../common/Icon";
import React from "react";
export declare enum UserMetadataStyle {
    REGULAR = "REGULAR",
    COMPACT = "COMPACT"
}
export interface UserMetadataProps {
    secretIdentity?: SecretIdentityType;
    userIdentity?: UserIdentityType;
    forceHideIdentity?: boolean;
    withDropdownMetadata?: boolean;
    avatarDropdownOptions?: DropdownProps["options"];
    avatarDropdownLabel?: string;
    identityDropdownLabel?: string;
    identityOptions?: DropdownProps["options"];
    createdMessage?: string;
    createdMessageIcon?: IconProps["icon"];
    createdMessageLink?: LinkWithAction;
    size?: UserMetadataStyle;
}
export interface AccessorySelectionProps {
    selectedAccessory?: AccessoryType;
    accessories?: AccessoryType[];
    onSelectAccessory?: (accessory: AccessoryType | undefined) => void;
}
declare const UserMetadata: React.ForwardRefExoticComponent<UserMetadataProps & AccessorySelectionProps & React.RefAttributes<HTMLDivElement>>;
export default UserMetadata;
